package com.tzld.piaoquan.api.component;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import com.tzld.piaoquan.api.model.bo.AdPutFlowRecordTencent;
import com.tzld.piaoquan.growth.common.component.HttpPoolClient;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.stereotype.Component;

import java.util.ArrayList;
import java.util.List;
import java.util.Objects;

@Component
@Slf4j
public class AdApiService {

    @Autowired
    private HttpPoolClient httpPoolClient;

    @Value("${ad.api.host:https://testapi.piaoquantv.com/ad}")
    private String adApiHost;


    public Integer getPutFlowListTencentCount(String channel, Integer pageNum, Integer pageSize) {
        String url = adApiHost + "/put/flow/list/tencent?videoId=&putScene=&channel="
                + channel + "&currentPage=" + pageNum + "&pageSize=" + pageSize;
        try {
            String post = httpPoolClient.get(url);
            JSONObject res = JSONObject.parseObject(post);
            return res.getJSONObject("data").getInteger("totalSize");
        } catch (Exception e) {
            log.error("getPutFlowListTencentCount error", e);
        }
        return 0;
    }

    public List<AdPutFlowRecordTencent> getPutFlowListTencent(String channel, Integer pageNum, Integer pageSize) {
        String url = adApiHost + "/put/flow/list/tencent?videoId=&putScene=&channel="
                + channel + "&currentPage=" + pageNum + "&pageSize=" + pageSize;
        try {
            String post = httpPoolClient.get(url);
            JSONObject res = JSONObject.parseObject(post);
            JSONArray data = res.getJSONObject("data").getJSONArray("objs");
            if (Objects.nonNull(data) && !data.isEmpty()) {
                return data.toJavaList(AdPutFlowRecordTencent.class);
            }
        } catch (Exception e) {
            log.error("getPutFlowListTencent error", e);
        }
        return new ArrayList<>();
    }
}
