package com.tzld.piaoquan.api.controller.contentplatform;

import com.tzld.piaoquan.api.annotation.JwtIgnore;
import com.tzld.piaoquan.api.model.param.contentplatform.api.GetContentPageParam;
import com.tzld.piaoquan.api.model.param.contentplatform.api.GetTokenParam;
import com.tzld.piaoquan.api.model.param.contentplatform.api.GetVideoPageUrlParam;
import com.tzld.piaoquan.api.model.vo.contentplatform.api.VideoIdTitleVO;
import com.tzld.piaoquan.api.model.vo.contentplatform.api.VideoPageUrlVO;
import com.tzld.piaoquan.api.service.contentplatform.ContentPlatformApiService;
import com.tzld.piaoquan.growth.common.common.base.CommonResponse;
import com.tzld.piaoquan.growth.common.utils.page.Page;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.servlet.http.HttpServletRequest;
import java.util.List;

@RestController
@RequestMapping("/contentPlatform/api")
public class ContentPlatformApiController {

    @Autowired
    ContentPlatformApiService apiService;

    @ApiOperation(value = "获取token")
    @PostMapping("/getToken")
    @JwtIgnore
    public CommonResponse<String> getToken(@RequestBody GetTokenParam param) {
        return CommonResponse.success(apiService.getToken(param));
    }

    @ApiOperation(value = "分页获取内容库内容")
    @PostMapping("/getContent")
    @JwtIgnore
    public CommonResponse<Page<VideoIdTitleVO>> getContent(HttpServletRequest request,
                                                           @RequestBody GetContentPageParam param) {
        String token = request.getHeader("token");
        return CommonResponse.success(apiService.getContent(token, param));
    }

    @ApiOperation(value = "获取视频嵌入路径")
    @PostMapping("/getVideoPageUrl")
    @JwtIgnore
    public CommonResponse<List<VideoPageUrlVO>> getVideoPageUrl(HttpServletRequest request,
                                                                                      @RequestBody GetVideoPageUrlParam param) {
        String token = request.getHeader("token");
        return CommonResponse.success(apiService.getVideoPageUrl(token, param));
    }


}
