package com.tzld.piaoquan.api.dao.mapper.contentplatform.ext;

import com.tzld.piaoquan.api.model.param.contentplatform.GzhDatastatListParam;
import com.tzld.piaoquan.api.model.param.contentplatform.QwDatastatListParam;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformGzhDataStat;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformQwDataStat;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformQwDataStatReplyTotal;
import com.tzld.piaoquan.api.model.po.contentplatform.ContentPlatformQwDataStatTotal;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ContentPlatformDataStatMapperExt {

    int getGzhAccountDatastatCount(@Param("param") GzhDatastatListParam param, @Param("createAccountId") Long createAccountId);

    List<ContentPlatformGzhDataStat> getGzhAccountDatastatList(@Param("param") GzhDatastatListParam param,
                                                               @Param("createAccountId") Long createAccountId,
                                                               @Param("offset") int offset,
                                                               @Param("pageSize") Integer pageSize);

    Integer getGzhTotalDatastatCount(@Param("param") GzhDatastatListParam param, @Param("createAccountId") Long createAccountId);

    List<ContentPlatformGzhDataStat> getGzhTotalDatastatList(@Param("param") GzhDatastatListParam param,
                                                             @Param("createAccountId") Long createAccountId,
                                                             @Param("offset") int offset,
                                                             @Param("pageSize") Integer pageSize);

    Integer getQwRootSourceIdDatastatCount(@Param("param") QwDatastatListParam param, @Param("createAccountId") Long createAccountId);

    List<ContentPlatformQwDataStat> getQwRootSourceIdDatastatList(@Param("param") QwDatastatListParam param,
                                                                  @Param("createAccountId") Long createAccountId,
                                                                  @Param("offset") int offset,
                                                                  @Param("pageSize") Integer pageSize);

    Integer getQwTotalDatastatCount(@Param("param") QwDatastatListParam param, @Param("channel") String channel);

    List<ContentPlatformQwDataStatTotal> getQwTotalDatastatList(@Param("param") QwDatastatListParam param,
                                                                @Param("channel") String channel,
                                                                @Param("offset") int offset,
                                                                @Param("pageSize") Integer pageSize);

    Integer getQwReplyTotalDatastatCount(@Param("param") QwDatastatListParam param, @Param("channel") String channel);

    List<ContentPlatformQwDataStatReplyTotal> getQwReplyTotalDatastatList(@Param("param") QwDatastatListParam param,
                                                                          @Param("channel") String channel,
                                                                          @Param("offset") int offset,
                                                                          @Param("pageSize") Integer pageSize);

    Integer getQwSceneDatastatCount(@Param("param") QwDatastatListParam param,
                                    @Param("scene") Integer scene,
                                    @Param("createAccountId") Long createAccountId);

    List<ContentPlatformQwDataStat> getQwSceneDatastatList(@Param("param") QwDatastatListParam param,
                                                           @Param("scene") Integer scene,
                                                           @Param("createAccountId") Long createAccountId,
                                                           @Param("offset") int offset,
                                                           @Param("pageSize") Integer pageSize);

    Integer getQwReplyDatastatCount(@Param("param") QwDatastatListParam param, @Param("createAccountId") Long createAccountId);

    List<ContentPlatformQwDataStat> getReplyDatastatList(@Param("param") QwDatastatListParam param,
                                                         @Param("createAccountId") Long createAccountId,
                                                         @Param("offset") int offset,
                                                         @Param("pageSize") Integer pageSize);

    void batchInsertGzhDatastat(@Param("records") List<ContentPlatformGzhDataStat> saveList);

    void batchInsertQwDatastat(@Param("records") List<ContentPlatformQwDataStat> saveList);

    void batchInsertQwDatastatTotal(@Param("records") List<ContentPlatformQwDataStatTotal> saveList);

    void batchInsertQwDatastatReplyTotal(@Param("records") List<ContentPlatformQwDataStatReplyTotal> saveList);

    List<ContentPlatformQwDataStatTotal> getQwTotalDatastatScoreList(@Param("dt") String dt, @Param("channels") List<String> channels);

    List<ContentPlatformQwDataStatReplyTotal> getQwTotalDatastatReplyScoreList(@Param("dt") String dt, @Param("channels") List<String> channels);

    void deleteQwDatastatTotal(@Param("dt") String dt);

    void deleteQwDatastatReplyTotal(@Param("dt") String dt);
}