package com.tzld.piaoquan.api.dao.mapper.contentplatform.ext;

import com.tzld.piaoquan.api.model.param.contentplatform.GzhPlanListParam;
import com.tzld.piaoquan.api.model.param.contentplatform.QwPlanListParam;
import com.tzld.piaoquan.api.model.param.contentplatform.VideoContentListParam;
import com.tzld.piaoquan.api.model.po.contentplatform.*;
import org.apache.ibatis.annotations.Param;

import java.util.List;

public interface ContentPlatformPlanMapperExt {


    int getGzhPlanCount(@Param("param") GzhPlanListParam param,
                        @Param("createAccountId") Long createAccountId);

    List<ContentPlatformGzhPlan> getGzhPlanList(@Param("param") GzhPlanListParam param,
                                                @Param("createAccountId") Long createAccountId,
                                                @Param("offset") int offset,
                                                @Param("pageSize") Integer pageSize);

    List<ContentPlatformGzhPlan> getGzhPlanExists(@Param("accountId") Long accountId,
                                                  @Param("type") Integer type,
                                                  @Param("scene") Integer scene,
                                                  @Param("id") Long id);

    void insertGzhPlanReturnId(@Param("record") ContentPlatformGzhPlan gzhPlan);

    String getVideoMaxDt();

    int getVideoCount(@Param("param") VideoContentListParam param, @Param("dt") String dt,
                      @Param("minScore") Double minScore);

    List<String> getVideoCategoryList(@Param("dt") String dt);

    List<ContentPlatformVideo> getVideoList(@Param("param") VideoContentListParam param,
                                            @Param("dt") String dt,
                                            @Param("minScore") Double minScore,
                                            @Param("offset") int offset,
                                            @Param("pageSize") Integer pageSize);

    void batchInsertContentPlatformVideo(@Param("records") List<ContentPlatformVideo> saveList);

    void batchInsertContentPlatformVideoAgg(@Param("records") List<ContentPlatformVideoAgg> saveList);

    int getQwPlanCount(@Param("param") QwPlanListParam param,
                       @Param("createAccountId") Long createAccountId);

    List<ContentPlatformQwPlan> getQwPlanList(@Param("param") QwPlanListParam param,
                                              @Param("createAccountId") Long createAccountId,
                                              @Param("offset") int offset,
                                              @Param("pageSize") Integer pageSize);

    void batchInsertQwPlan(@Param("records") List<ContentPlatformQwPlan> saveList);

    void insertQwPlanReturnId(@Param("record") ContentPlatformQwPlan qwPlan);

    List<ContentPlatformGzhPlanVideo> getGzhPlanVideoListByCooperateAccountId(@Param("ghId") String ghId);

    void updateVideoStatus(@Param("videoId") Long videoId, @Param("now") Long now);

    void updateVideoAggStatus(@Param("videoId") Long videoId, @Param("now") Long now);

    List<ContentPlatformVideoAgg> getVideoAggList(@Param("dtList") List<String> dtList);

    List<ContentPlatformVideo> getVideoListByIds(@Param("videoIds") List<Long> videoIds);

    void deleteContentPlatformVideoAgg(@Param("dt") String dt);
}