package com.tzld.piaoquan.api;

import com.tzld.piaoquan.api.job.ContentPlatformDatastatJob;
import com.tzld.piaoquan.api.service.contentplatform.ContentPlatformCooperateAccountService;
import com.tzld.piaoquan.api.service.contentplatform.ContentPlatformPlanService;
import com.tzld.piaoquan.growth.common.utils.DateUtil;
import lombok.extern.slf4j.Slf4j;
import org.junit.jupiter.api.Test;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;

import java.util.Arrays;
import java.util.List;

@SpringBootTest(classes = GrowthServerApplication.class)
@Slf4j
public class ContentPlatformTest {

    @Autowired
    ContentPlatformCooperateAccountService cooperateAccountService;

    @Autowired
    ContentPlatformPlanService planService;

    @Autowired
    ContentPlatformDatastatJob datastatJob;

    @Test
    public void testImportGzhAccount() {
        List<String> channels = Arrays.asList("ml","yy","zh","llf","wxm","hc","xs","wx","yqst","lq","bh","qd","bz","sw","pj","cy","xsy","ls","zqh");
        cooperateAccountService.gzhImport(channels);
    }

    @Test
    public void testImportGzhPlan() {
        List<String> channels = Arrays.asList("ml","yy","zh","llf","wxm","hc","xs","wx","yqst","lq","bh","qd","bz","sw","pj","cy","xsy","ls","zqh");
        planService.gzhPlanImport(channels);
    }

    @Test
    public void testImportQwPlan() {
        List<String> channels = Arrays.asList("ml2025", "mj", "nh", "qc", "tczy", "wb", "xj", "wxm", "xycsd", "shy");
        planService.qwPlanImport(channels);
    }


    @Test
    public void testSyncContentPlatformQwDatastatReplyTotalJob() {
        List<String> dtList = DateUtil.getBeforeDays(14);
        for (String dt : dtList) {
            datastatJob.syncContentPlatformQwDatastatReplyTotalJob(dt);
        }
    }


}
